#pragma once
#include "afxcmn.h"


// CCollectHostDlg _CAO

class CCollectHostDlg : public CDialog
{
	DECLARE_DYNAMIC(CCollectHostDlg)

public:
	CCollectHostDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CCollectHostDlg();

	void	SetRange(DWORD dwStart, DWORD dwEnd) {
		m_dwStartAddr = dwStart;
		m_dwEndAddr = dwEnd;
	}
	void	GetRange(DWORD& dwStart, DWORD& dwEnd) {
		dwStart = m_dwStartAddr;
		dwEnd = m_dwEndAddr;
	}
	void	SetNetMask(DWORD dwNetMask) {
		m_dwNetMask = dwNetMask;
	}
	DWORD	GetNetMask() {
		return m_dwNetMask;
	}
	void	SetTimeOut(UINT uiTimeOut) {
		m_uiTimeOut = uiTimeOut;
	}
	UINT	GetTimeOut(void) {
		return m_uiTimeOut;
	}

	DWORD	m_dwStartAddr;
	DWORD	m_dwEndAddr;
	DWORD	m_dwNetMask;

// _CAO f[^
	enum { IDD = IDD_DIALOG_COLLECT_HOST };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	CIPAddressCtrl m_IpAddrStart;
	CIPAddressCtrl m_IpAddrEnd;
	CIPAddressCtrl m_IpNetMask;
	UINT m_uiTimeOut;

	virtual BOOL OnInitDialog();
	virtual void OnOK();
};
