#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "resource.h"

#define	WM_COLLECT_PROC		(WM_USER + 101)


// CCollectProcDlg _CAO

class CCollectProcDlg : public CDialog
{
	DECLARE_DYNAMIC(CCollectProcDlg)

public:
	CCollectProcDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CCollectProcDlg();

	void	SetRange(int nMin, int nMax) {
		m_ProgCollect.SetRange32(nMin, nMax);
	}
	void	SetPos(int nPos) {
		m_ProgCollect.SetPos(nPos);
	}
	void	SetText(LPCTSTR lpszText) {
		m_StHostAddr.SetWindowText(lpszText);
	}
	void	SetCount(int nCount) {
		CString	str;

		str.LoadString(NULL, IDS_STRING_DETECT_COUNT);
		str.AppendFormat(": %d", nCount);
		m_StDetectCount.SetWindowText(str);
	}

// _CAO f[^
	enum { IDD = IDD_DIALOG_COLLECT_PROC };

protected:
	CWnd	*m_pParent;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	CProgressCtrl m_ProgCollect;
	CStatic m_StHostAddr;
	CStatic m_StDetectCount;
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	virtual void PostNcDestroy();
};
